petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexGetRefinementFunction

Get the function giving the maximum cell volume for refinement

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetRefinementFunction(DM dm, PetscErrorCode (**refinementFunc)(const PetscReal [], PetscReal *))

### Input Parameter

dm -The DM

### Output Parameter

refinementFunc -Function giving the maximum cell volume in the refined mesh

Note: The calling sequence is refinementFunc(coords, limit)

    coords - Coordinates of the current point, usually a cell centroid

    limit  - The maximum cell volume for a cell containing this point

### See Also

DMRefine(), DMPlexSetRefinementFunction(), DMPlexGetRefinementUniform(), DMPlexSetRefinementUniform(), DMPlexGetRefinementLimit(), DMPlexSetRefinementLimit()

### Level

developer

### Location

src/dm/impls/plex/plexrefine.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages